#cacao:
#creds_microservice:
#ion:
#maintenance:
#users_microservice:
#wiretap_backend:

API_DOMAIN: {{ API_DOMAIN }}
API_REQUIRED_IDENTITY_PROVIDER: {{ API_REQUIRED_IDENTITY_PROVIDER }}
API_USERNAME_SELECTION_SCHEME: {{ API_USERNAME_SELECTION_SCHEME }}
API_TOKEN_CACHE_TTL: {{ API_TOKEN_CACHE_TTL }}
AWM_KEY: {{ AWM_KEY | ansible.builtin.quote }}

CACAO_API_ADDRESS: "{{ CACAO_API_ADDRESS | default('http://api') }}"

CACAO_AUTH_DRIVER: {{ CACAO_AUTH_DRIVER }}
CACAO_LOG_LEVEL: {{ CACAO_LOG_LEVEL }}
CACAO_WHITELIST_CIDRS: {{ CACAO_WHITELIST_CIDRS | default('') }}

GA_ID: {{ GA_ID | default('') }}

{% if CACAO_AUTH_DRIVER == "globus" %}
GLOBUS_API_CLIENT_ID: {{ GLOBUS_API_CLIENT_ID | ansible.builtin.quote }}
GLOBUS_API_CLIENT_SECRET: {{ GLOBUS_API_CLIENT_SECRET | ansible.builtin.quote }}
GLOBUS_API_REDIRECT_URL: {{ GLOBUS_API_REDIRECT_URL }}
GLOBUS_API_REQUIRED_IDENTITY_PROVIDER: {{ GLOBUS_API_REQUIRED_IDENTITY_PROVIDER | ansible.builtin.quote }}
GLOBUS_URL: {{ GLOBUS_URL }}
{% endif %}

GUACD_IMAGE: {{ GUACD_IMAGE }}
GUAC_LITE_OAUTH2_VALIDATE_URL: {{ GUAC_LITE_OAUTH2_VALIDATE_URL }}

ION_API_BASE_URL: {{ ION_API_BASE_URL }}
ION_restrict_user: {{ ION_restrict_user | default(false) }}
ION_restrict_user_list: {{ ION_restrict_user_list  | default('') }}
ION_SESSION_SECRET: {{ ION_SESSION_SECRET | ansible.builtin.quote }}
{% if ION_THEME is defined %}
ION_THEME: {{ ION_THEME }}
{% endif %}
ION_UI_BASE_URL: {{ ION_UI_BASE_URL }}
ION_WS_BASE_URL: {{ ION_WS_BASE_URL }}
IS_DEV_ENVIRONMENT: {{ IS_DEV_ENVIRONMENT }}

ISESSION_GUAC_AUTH_KEY: {{ ISESSION_GUAC_AUTH_KEY | ansible.builtin.quote }}
ISESSION_GUAC_ENCRYPTION_KEY: {{ ISESSION_GUAC_ENCRYPTION_KEY }}
{% if ISESSION_GUAC_FORCE_HTTP is defined %}
ISESSION_GUAC_FORCE_HTTP: {{ ISESSION_GUAC_FORCE_HTTP }}
{% endif %}
ISESSION_GUAC_SERVERS: {{ ISESSION_GUAC_SERVERS | ansible.builtin.quote }}
ISESSION_MASTER_SSH_KEY_b64: {{ ISESSION_MASTER_SSH_KEY | b64encode }}
ISESSION_MASTER_SSH_KEY: {{ ISESSION_MASTER_SSH_KEY | to_json }}

ISESSION_VNC_DEFAULT_PASSWORD: "{{ ISESSION_VNC_DEFAULT_PASSWORD }}"

{% if CACAO_AUTH_DRIVER == "keycloak" and KEYCLOAK_ENABLED %}
KEYCLOAK_BASE_URL: {{ KEYCLOAK_BASE_URL }}
KEYCLOAK_ENABLED: {{ KEYCLOAK_ENABLED }}
KEYCLOAK_IMAGE: {{ KEYCLOAK_IMAGE }}
KEYCLOAK_LOCAL: {{ KEYCLOAK_LOCAL }}
KEYCLOAK_REALM: {{ KEYCLOAK_REALM }}
KEYCLOAK_URL: {{ KEYCLOAK_URL }}
KEYCLOAK_USERS: {{ KEYCLOAK_USERS | to_json }}
{% endif %}

LOCAL_PATH_PROVISIONER_ENABLE: {{ LOCAL_PATH_PROVISIONER_ENABLE }}
LOCAL_PATH_PROVISIONER_GUACAMOLE_SIZE: {{ LOCAL_PATH_PROVISIONER_GUACAMOLE_SIZE }}
LOCAL_PATH_PROVISIONER_NATS_ENABLE: {{ LOCAL_PATH_PROVISIONER_NATS_ENABLE }}
LOCAL_PATH_PROVISIONER_NATS_SIZE: {{ LOCAL_PATH_PROVISIONER_NATS_SIZE }}

LOGS_STORAGE_BASE_URL: {{ LOGS_STORAGE_BASE_URL }}

MASTER_PUBLIC_SSH_KEY: {{ MASTER_PUBLIC_SSH_KEY | ansible.builtin.quote }}
MONGODB_ADDRESS: {{ MONGODB_ADDRESS | ansible.builtin.quote }}
MONGODB_CONTAINER_ENABLED: {{ MONGODB_CONTAINER_ENABLED }}
MONGODB_NAME: {{ MONGODB_NAME | ansible.builtin.quote }}

NATS_ADDRESS: {{ NATS_ADDRESS | ansible.builtin.quote }}
NATS_ADDRESS_INTERNAL: {{ NATS_ADDRESS_INTERNAL | ansible.builtin.quote }}
{% if NATS_CLUSTER_PASSWORD is defined %}
NATS_CLUSTER_PASSWORD: "{{ NATS_CLUSTER_PASSWORD }}"
{% endif %}
NATS_NUM_REPLICAS: {{ NATS_NUM_REPLICAS }}
{% if NATS_TOKEN is defined %}
NATS_TOKEN: "{{ NATS_TOKEN | ansible.builtin.quote }}"
{% endif %}

OAUTH2_API_CALLBACK_URL: {{ OAUTH2_API_CALLBACK_URL }}
OAUTH2_CLIENT_ID: {{ OAUTH2_CLIENT_ID | ansible.builtin.quote }}
OAUTH2_CLIENT_SECRET: {{ OAUTH2_CLIENT_SECRET | ansible.builtin.quote }}
{% if OAUTH2_CILOGON_IDP_HINT is defined and OAUTH2_CILOGON_IDP_HINT %}
OAUTH2_CILOGON_IDP_HINT: "{{ OAUTH2_CILOGON_IDP_HINT }}"
{% endif %}
{% if OAUTH2_CILOGON_INITIAL_IDP is defined and OAUTH2_CILOGON_INITIAL_IDP %}
OAUTH2_CILOGON_INITIAL_IDP: "{{ OAUTH2_CILOGON_INITIAL_IDP }}"
{% endif %}

{% if POSTGRES_CONTAINER_ENABLED is defined and POSTGRES_CONTAINER_ENABLED|bool %}
POSTGRES_CONTAINER_ENABLED: {{ POSTGRES_CONTAINER_ENABLED }}
POSTGRES_IMAGE: {{ POSTGRES_IMAGE }}
{% endif %}
POSTGRES_DB: {{ POSTGRES_DB | ansible.builtin.quote }}
POSTGRES_HOST: {{ POSTGRES_HOST | ansible.builtin.quote }}
POSTGRES_PASSWORD: {{ POSTGRES_PASSWORD | ansible.builtin.quote }}
POSTGRES_SSL: {{ POSTGRES_SSL }}
POSTGRES_USER: {{ POSTGRES_USER | ansible.builtin.quote }}

{% if SENTRY_DSN is defined %}
SENTRY_DSN: {{ SENTRY_DSN }}
{% endif %}
SIMPLETOKEN_TOKEN: {{ SIMPLETOKEN_TOKEN | ansible.builtin.quote }}
SIMPLETOKEN_USERNAME: {{ SIMPLETOKEN_USERNAME | ansible.builtin.quote }}

{% if TLS_ENABLE is defined and TLS_ENABLE|bool %}
SSL_REDIRECT: {{ SSL_REDIRECT }}
TLS_SECRET_NAME: {{ TLS_SECRET_NAME }}
{% endif %}

VAULT_ADDRESS: {{ VAULT_ADDRESS | ansible.builtin.quote }}
VAULT_CONTAINER_ENABLED: {{ VAULT_CONTAINER_ENABLED }}
{% if VAULT_CONTAINER_ENABLED is defined and VAULT_CONTAINER_ENABLED|bool %}
VAULT_IMAGE: {{ VAULT_IMAGE }}
VAULT_POSTGRES_CONFIG: {{ VAULT_POSTGRES_CONFIG | to_json }}
{% endif %}
VAULT_TOKEN: {{ VAULT_TOKEN | ansible.builtin.quote }}

WF_LOGS_STORAGE_JWT_KEY: {{ WF_LOGS_STORAGE_JWT_KEY | ansible.builtin.quote }}

WIRETAP_LOG_DIR: {{ WIRETAP_LOG_DIR }}
